/*
 * Dayona
 * Created on Fri May 27 2022
 * email : dayonaart@gmail.com
 * Copyright (c) 2022
 */
import 'package:plugin_platform_interface/plugin_platform_interface.dart';
import 'device_platform_info_method_channel.dart';

abstract class DevicePlatformInfoPlatform extends PlatformInterface {
  /// Constructs a DevicePlatformInfoPlatform.
  DevicePlatformInfoPlatform() : super(token: _token);

  static final Object _token = Object();

  static DevicePlatformInfoPlatform _instance = MethodChannelDevicePlatformInfo();

  /// The default instance of [DevicePlatformInfoPlatform] to use.
  ///
  /// Defaults to [MethodChannelDevicePlatformInfo].
  static DevicePlatformInfoPlatform get instance => _instance;

  /// Platform-specific implementations should set this with their own
  /// platform-specific class that extends [DevicePlatformInfoPlatform] when
  /// they register themselves.
  static set instance(DevicePlatformInfoPlatform instance) {
    PlatformInterface.verifyToken(instance, _token);
    _instance = instance;
  }

  Future<DevicesInfoModel?> getDeviceInfo() {
    throw UnimplementedError('getProperties() not inplement');
  }

  Future<String?> getPublicIp() {
    throw UnimplementedError('getPublicIp() not inplement');
  }
}
