import 'package:flutter_test/flutter_test.dart';
import 'package:device_platform_info/device_platform_info.dart';
import 'package:device_platform_info/device_platform_info_platform_interface.dart';
import 'package:device_platform_info/device_platform_info_method_channel.dart';
import 'package:plugin_platform_interface/plugin_platform_interface.dart';

class MockDevicePlatformInfoPlatform
    with MockPlatformInterfaceMixin
    implements DevicePlatformInfoPlatform {
  @override
  Future<DevicesInfoModel?> getDeviceInfo() => Future.value(null);
  @override
  Future<String?> getPublicIp() => Future.value(null);
}

void main() {
  final DevicePlatformInfoPlatform initialPlatform = DevicePlatformInfoPlatform.instance;
  DevicePlatformInfo devicePlatformInfoPlugin = DevicePlatformInfo();
  MockDevicePlatformInfoPlatform fakePlatform = MockDevicePlatformInfoPlatform();
  DevicePlatformInfoPlatform.instance = fakePlatform;

  test('$MethodChannelDevicePlatformInfo is the default instance', () {
    expect(initialPlatform, isInstanceOf<MethodChannelDevicePlatformInfo>());
  });

  test('getInformations', () async {
    expect(await devicePlatformInfoPlugin.getDeviceInfo(), null);
  });
  test('getPublicIp', () async {
    expect(await devicePlatformInfoPlugin.getPublicIp(), null);
  });
}
